local FOLDER_NAME, private = ...
local core = LibStub("AceAddon-3.0"):GetAddon(FOLDER_NAME)
local L = LibStub("AceLocale-3.0"):GetLocale(FOLDER_NAME)

local vanores ={
                ["id"] = {2770, 2840, 2771, 3576, 2841, 2775, 2842, 2772, 3575, 2776, 3577, 3859, 3858, 3860, 7911, 6037, 10620, 12359, 12655, 11370, 11371},
                ["type"] = {1, 2, 1, 2, 2, 1, 2, 1, 2, 1, 2, 2, 1, 2, 1, 2, 1, 2, 2, 1, 2},
                ["strings"] = {L["Copper"], L["Copper"], L["Tin"], L["Tin"], L["Bronze"], L["Silver"], L["Silver"], L["Iron"], L["Iron"], L["Gold"], L["Gold"], L["Steel"], L["Mithril"], L["Mithril"], L["Truesilver"], L["Truesilver"],  L["Thorium"], L["Thorium"], L["Enchanted Thorium"], L["Dark Iron"], L["Dark Iron"]},
                ["short"] = {L["Short_Copper"], L["Short_Copper"], L["Short_Tin"], L["Short_Tin"], L["Short_Bronze"], L["Short_Silver"], L["Short_Silver"], L["Short_Iron"], L["Short_Iron"], L["Short_Gold"], L["Short_Gold"], L["Short_Steel"], L["Short_Mithril"], L["Short_Mithril"], L["Short_Truesilver"], L["Short_Truesilver"], L["Short_Thorium"], L["Short_Thorium"], L["Short_Enchanted Thorium"], L["Short_Dark Iron"], L["Short_Dark Iron"]},
                ["color"] = {"b87333", "b87333", "d3d4d5", "d3d4d5", "ffbb6e", "bfbfbf", "bfbfbf", "af9894", "af9894", "fbc72d", "fbc72d", "adb9b5", "39bcd1", "39bcd1", "e2e5e4", "e2e5e4", "5aa2d2", "5aa2d2", "388ad1", "8a6c67", "8a6c67"}
                }
local bcores ={
                ["id"] = {23424, 23445, 23448, 23425, 23446, 23573, 23426, 23449, 35128, 23427, 23447},
                ["type"] = {1, 2, 2, 1, 2, 2, 1, 2, 2, 1, 2},
                ["strings"] = {L["Fel Iron"], L["Fel Iron"], L["Felsteel"], L["Adamanite"], L["Adamanite"], L["Hardened Adamanite"], L["Khorium"], L["Khorium"], L["Hardened Khorium"], L["Eternium"], L["Eternium"]},
                ["short"] = {L["Short_Fel Iron"], L["Short_Fel Iron"], L["Short_Felsteel"], L["Short_Adamanite"], L["Short_Adamanite"], L["Short_Hardened Adamanite"], L["Short_Khorium"], L["Short_Khorium"], L["Short_Hardened Khorium"], L["Short_Eternium"], L["Short_Eternium"]},
                ["color"] = {"80d82b", "80d82b", "58b003", "fcfcfc", "fcfcfc", "e8e8e8", "b96b1e", "b96b1e", "af6114", "c45aec", "c45aec"}
                }
local lkores ={
                ["id"] = {36909, 36916, 36912, 36913, 36910, 41163, 37663},
                ["type"] = {1, 2, 1, 2, 1, 2, 2},
                ["strings"] = {L["Cobalt"], L["Cobalt"], L["Saronite"], L["Saronite"], L["Titanium"], L["Titanium"], L["Titansteel"]},
                ["short"] = {L["Short_Cobalt"], L["Short_Cobalt"], L["Short_Saronite"], L["Short_Saronite"], L["Short_Titanium"], L["Short_Titanium"], L["Short_Titansteel"]},
                ["color"] = {"007a9f", "007a9f", "008080", "008080", "b6b6b4", "b6b6b4", "acacaa"}
                }
local cataores ={
                ["id"] = {53038, 54849, 52185, 52186, 53039, 52183, 51950, 58480},
                ["type"] = {1, 2, 1, 2, 2, 1, 2, 2},
                ["strings"] = {L["Obsidium"], L["Obsidium"], L["Elementium"], L["Elementium"], L["Hardened Elementium"], L["Pyrite"], L["Pyrium"], L["Truegold"]},
                ["short"] = {L["Short_Obsidium"], L["Short_Obsidium"], L["Short_Elementium"], L["Short_Elementium"], L["Short_Hardened Elementium"], L["Short_Pyrite"], L["Short_Pyrium"], L["Short_Truegold"]},
                ["color"] = {"835c3b", "835c3b", "dfd0d6", "dfd0d6", "cbbcc2", "ff81d5", "ff81d5", "fdd017"}
                }
local mopores ={
                ["id"] = {97546, 72093, 97512, 72092, 72096, 72094, 72103, 72095, 72104},
                ["type"] = {3, 1, 3, 1, 2, 1, 1, 2, 3},
                ["strings"] = {L["Kyparite Fragment"], L["Kyparite"], L["Ghost Iron Nugget"], L["Ghost Iron"], L["Ghost Iron"], L["Black Trillium"], L["White Trillium"], L["Trillium"], L["Living Steel"]},
                ["short"] = {L["Short_Kyparite Fragment"], L["Short_Kyparite"], L["Short_Ghost Iron Nugget"], L["Short_Ghost Iron"], L["Short_Ghost Iron"], L["Short_Black Trillium"], L["Short_White Trillium"], L["Short_Trillium"],  L["Short_Living Steel"]},
                ["color"] = {"835c3b", "835c3b", "dfd0d6", "dfd0d6", "cbbcc2", "ff81d5", "ff81d5", "fdd017", "fdd017"}
                }
private.vanores = vanores
private.bcores = bcores
private.lkores = lkores
private.cataores = cataores
private.mopores = mopores